astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Virtual Observatory Access (`astropy.vo`) »
- VO Simple Cone Search »
- VOSBase

# VOSBase

class `astropy.vo.client.vos_catalog.``VOSBase`(tree)

  Bases: `object`

  Base class for `VOSCatalog` and `VOSDatabase`.

  Parameters: | tree : JSON tree

  Methods Summary

  `dumps`() | Dump the contents into a string.

  Methods Documentation

  `dumps`()

    Dump the contents into a string.

    Returns:

    s : str

    > Contents as JSON string dump.